> # NAME

> cgSetParameter1f - set the value of scalar and vector parameters

> # SYNOPSIS

>       #include <Cg/cg.h>

>       void cgSetParameter1f( CGparameter param,
>                              float x );

> # PARAMETERS

> param

>   The parameter that will be set.

> x

>   The value to which param will be set.

> # RETURN VALUES

> None.

> # DESCRIPTION

> cgSetParameter1f sets the value of a given scalar or vector parameter.

> Once cgSetParameter1f has been used to set a parameter, the values may be retrieved from the parameter using the CG_CURRENT enumerant with cgGetParameterValues.

> If an API-dependant layer of the Cg runtime (e.g. cgGL) is used, these entry points may end up making API (e.g. OpenGL) calls.

> # EXAMPLES

> to-be-written

> # ERRORS

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> CG_INVALID_PARAMETER_ERROR is generated if param is a varying input to a fragment program.

> # HISTORY

> cgSetParameter1f was introduced in Cg 1.2.

> # SEE ALSO

> cgGetParameterValue, cgGetParameterValues